Package org.eclipse.emf.cdo.security

# Interface UserPassword

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `Notifier`

All Known Implementing Classes:
  `UserPasswordImpl`

public interface UserPassword extends CDOObject
A representation of the model object 'User Password'.

See Also:
  - `SecurityPackage.getUserPassword()`
Generated
Extends
  CDOObject
Model
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

  The following features are supported:

  - `Encrypted`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncrypted()`
Returns the value of the 'Encrypted' attribute.
`void`
`setEncrypted(String value)`
Sets the value of the '`Encrypted`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getEncrypted

String getEncrypted()
Returns the value of the 'Encrypted' attribute.

If the meaning of the 'Encrypted' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Encrypted' attribute.
See Also:
  - `setEncrypted(String)`
  - `SecurityPackage.getUserPassword_Encrypted()`
Generated
Model

### setEncrypted

void setEncrypted(String value)
Sets the value of the '`Encrypted`' attribute.

Parameters:
  `value` - the new value of the 'Encrypted' attribute.
See Also:
  - `getEncrypted()`
Generated